Debian Bug report logs - #556261
/etc/acpi/events/videobtn causes infinite event loop on Dell laptops

version graph

Package: acpi-support; Maintainer for acpi-support is Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>; Source for acpi-support is src:acpi-support.

Reported by: Joey Hess <joeyh@debian.org>

Date: Sun, 15 Nov 2009 02:18:01 UTC

Severity: important

Tags: patch

Fixed in version acpi-support/0.129-2

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#556261; Package xserver-xorg-video-intel. (Sun, 15 Nov 2009 02:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 15 Nov 2009 02:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: flicker of doom
Date: Sat, 14 Nov 2009 21:11:04 -0500
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-video-intel
Version: 2:2.9.0-1
Severity: normal

Three times in three days my laptop has entered an unrecoverable,
unusable state. It's hard to describe, but everything on the screen is
flickering, as if alternating between a black screen and normal many
times a second. While this is happening, some fraction of keyboard input
gets lost too.

Restarting X does not help, once I log back in, the flicker is back.
But, while logging in to gdm, the problem does not manifest.

Also, I'm fairly sure that each time it has happened as I was adjusting
the screen brightness, using the laptop's hotkeys, that go thru ACPI and
are displayed onscreen by part of gnome.

I'm starting off with it assigned to X, because it seems very low-level,
and also because I noticed that Xorg.0.log was growing rapidly while
this was happening. I have attached the log from the time this just
happened, compressed as it is got large. Looks like it is stuck a loop
where it reprobes the screen via EDID.

-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Dec 16  2008 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1689944 Oct 13 07:31 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1789 Jul 25 16:24 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

#Section "InputDevice"
#	Identifier	"Configured Mouse"
#	Driver		"mouse"
#EndSection

Section "Device"
	Identifier	"Configured Video Device"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
#	Option          "DPI" "96 x 96"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Monitor		"Configured Monitor"
EndSection

Section "InputDevice"
    Identifier  "Synaptics Touchpad"
    Driver      "synaptics"
    Option      "SendCoreEvents"    "true"
    Option      "Device" "/dev/psaux"
    Option      "Protocol" "auto-dev"
    Option      "SHMConfig" "on"
    Option      "TapButton1"            "1"
    Option      "TapButton2"            "2"
    Option      "TapButton3"            "3"
EndSection

Section "ServerLayout"
    Identifier "Default Server Layout"
    Screen "Default Screen"
    InputDevice "Generic Keyboard" "Core Keyboard"
    InputDevice "Synaptics Touchpad" "Core Pointer"
EndSection

Section "ServerFlags"
    Option          "DontZap"               "false"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 20723 Dec 17  2008 /var/log/Xorg.2.log
-rw-r--r-- 1 root root 33586 Jul  9 12:02 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 48358 Nov 14 20:56 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.6.5
Release Date: 2009-10-11
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.30.8-dsa-ia32 i686 Debian
Current Operating System: Linux gnu 2.6.31-1-686 #1 SMP Sun Oct 25 20:25:27 UTC 2009 i686
Build Date: 13 October 2009  11:25:51AM
xorg-server 2:1.6.5-1 (buildd@murphy.debian.org) 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Nov 14 20:53:55 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Server Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Configured Monitor"
(==) No device specified for screen "Default Screen".
	Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Synaptics Touchpad"
(**) Option "DontZap" "false"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Generic Keyboard
(II) Loader magic: 0x6c0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 5.0
	X.Org XInput driver : 4.0
	X.Org Server Extension : 2.0
(II) Loader running on linux
(++) using VT number 7

(--) PCI:*(0:0:2:0) 8086:27ae:1028:02b0 Intel Corporation Mobile 945GME Express Integrated Graphics Controller rev 3, Mem @ 0xf0000000/524288, 0xd0000000/268435456, 0xf0300000/262144, I/O @ 0x00001800/8
(II) Open ACPI successful (/var/run/acpid.socket)
(II) System resource ranges:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.6.5, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.6.5, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.6.5, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.6.5, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.6.5, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions//libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.6.5, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(==) Matched intel for the autoconfigured driver
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.6.4, module version = 2.9.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 5.0
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.6.1.901, module version = 1.1.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 4.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, Clarkdale, Arrandale
(II) Primary Device is: PCI 00@00:02:0
(II) resource ranges after probing:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.6.5, module version = 0.1.0
	ABI class: X.Org Video Driver, version 5.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: drmOpenMinor returns 8
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) intel(0): Creating default Display subsection in Screen section
	"Default Screen" for depth/fbbpp 24/32
(==) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) 945GME
(--) intel(0): Chipset: "945GME"
(--) intel(0): Linear framebuffer at 0xD0000000
(--) intel(0): IO registers at addr 0xF0000000 size 524288
(WW) intel(0): libpciaccess reported 0 rom size, guessing 64kB
(II) intel(0): No SDVO device is found in VBT
(II) intel(0): 2 display pipes available.
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) intel(0): Output VGA using monitor section Configured Monitor
(II) intel(0): Output LVDS has no monitor section
(II) intel(0): I2C bus "LVDSDDC_C" initialized.
(II) intel(0): Attempting to determine panel fixed mode.
(II) intel(0): I2C device "LVDSDDC_C:E-EDID segment register" registered at address 0x60.
(II) intel(0): I2C device "LVDSDDC_C:ddc2" registered at address 0xA0.
(II) intel(0): EDID vendor "CMO", prod id 521
(II) intel(0): found backlight control method /sys/class/backlight/acpi_video0
(II) intel(0): EDID for output VGA
(II) intel(0): EDID for output LVDS
(II) intel(0): Manufacturer: CMO  Model: 209  Serial#: 0
(II) intel(0): Year: 2008  Week: 31
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 21  vert.: 12
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): GTF timings supported
(II) intel(0): redX: 0.584 redY: 0.362   greenX: 0.350 greenY: 0.583
(II) intel(0): blueX: 0.154 blueY: 0.105   whiteX: 0.313 whiteY: 0.329
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 50.8 MHz   Image Size:  195 x 113 mm
(II) intel(0): h_active: 1024  h_sync: 1105  h_sync_end 1159 h_blank_end 1320 h_border: 0
(II) intel(0): v_active: 600  v_sync: 605  v_sync_end 612 v_blanking: 642 v_border: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 33.9 MHz   Image Size:  195 x 113 mm
(II) intel(0): h_active: 1024  h_sync: 1105  h_sync_end 1159 h_blank_end 1320 h_border: 0
(II) intel(0): v_active: 600  v_sync: 605  v_sync_end 612 v_blanking: 642 v_border: 0
(II) intel(0):  K862H�N089L6
(II) intel(0): Ranges: V min: 0 V max: 200 Hz, H min: 0 H max: 200 kHz,
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf090200000000
(II) intel(0): 	1f12010390150c780ab985955c599527
(II) intel(0): 	1b505400000001010101010101010101
(II) intel(0): 	010101010101db13002841582a205136
(II) intel(0): 	5700c3710000001a3d0d002841582a20
(II) intel(0): 	51365700c3710000001a000000fe004b
(II) intel(0): 	38363248814e3038394c360a00000000
(II) intel(0): 	00000000000000000001010a202000a5
(II) intel(0): EDID vendor "CMO", prod id 521
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "832x624" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1080" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1920x1200" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Printing probed modes for output LVDS
(II) intel(0): Modeline "1024x600"x60.0   50.83  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (38.5 kHz)
(II) intel(0): Modeline "1024x600"x40.0   33.89  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (25.7 kHz)
(II) intel(0): Modeline "800x600"x85.1   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x85.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x85.0   35.50  720 756 828 936  400 401 404 446 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x400"x85.1   31.50  640 672 736 832  400 401 404 445 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz)
(II) intel(0): Output VGA disconnected
(II) intel(0): Output LVDS connected
(II) intel(0): Using exact sizes for initial modes
(II) intel(0): Output LVDS using initial mode 1024x600
(II) intel(0): detected 256 kB GTT.
(II) intel(0): detected 7932 kB stolen memory.
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): Using gamma correction (1.0, 1.0, 1.0)
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.6.5, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) intel(0): Comparing regs from server start up to After PreInit
(WW) intel(0): Register 0x61200 (PP_STATUS) changed from 0xc0000008 to 0xd0000009
(WW) intel(0): PP_STATUS before: on, ready, sequencing idle
(WW) intel(0): PP_STATUS after: on, ready, sequencing on
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) intel(0): Kernel reported 238592 total, 1 used
(II) intel(0): I830CheckAvailableMemory: 954364 kB available
(II) intel(0): [DRI2] Setup complete
(**) intel(0): Framebuffer compression enabled
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(==) intel(0): VideoRam: 262144 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): Tiled allocation successful.
(II) intel(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): adjusting plane->pipe mappings to allow for framebuffer compression
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0x005fffff: compressed frame buffer (6144 kB, 0x000000003f800000 physical
)
(II) intel(0): 0x00600000-0x00600fff: compressed ll buffer (4 kB, 0x000000003fe00000 physical
)
(II) intel(0): 0x00601000-0x0060afff: HW cursors (40 kB, 0x000000003fe01000 physical
)
(II) intel(0): 0x0060b000-0x0060bfff: overlay registers (4 kB, 0x000000003fe0b000 physical
)
(II) intel(0): 0x007bf000:            end of stolen memory
(II) intel(0): 0x007bf000-0x0f9f3fff: DRI memory manager (248020 kB)
(II) intel(0): 0x10000000:            end of aperture
(II) intel(0): BO memory allocation layout:
(II) intel(0): 0x007bf000:            start of memory manager
(II) intel(0): 0x00800000-0x00bfffff: front buffer (4096 kB) X tiled
(II) intel(0): 0x0f9f4000:            end of memory manager
(II) intel(0): using SSC reference clock of 100 MHz
(II) intel(0): Selecting standard 18 bit TMDS pixel format.
(II) intel(0): Output configuration:
(II) intel(0):   Pipe A is off
(II) intel(0):   Display plane B is now disabled and connected to pipe A.
(II) intel(0):   Pipe B is on
(II) intel(0):   Display plane A is now enabled and connected to pipe B.
(II) intel(0):   Output VGA is connected to pipe none
(II) intel(0):   Output LVDS is connected to pipe B
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(II) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder disabled
(II) intel(0): Set up textured video
(II) intel(0): Set up overlay video
(II) intel(0): direct rendering: DRI2 Enabled
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
(II) AIGLX: Loaded and initialized /usr/lib/dri/i915_dri.so
(II) GLX: Initialized DRI2 GL provider for screen 0
(II) intel(0): Setting screen physical size to 195 x 113
(II) Synaptics touchpad driver version 1.1.2
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event8
(**) Option "Device" "/dev/input/event8"
(II) Synaptics Touchpad: x-axis range 1472 - 5472
(II) Synaptics Touchpad: y-axis range 1408 - 4448
(II) Synaptics Touchpad: pressure range 0 - 255
(II) Synaptics Touchpad: finger width range 0 - 0
(II) Synaptics Touchpad: buttons: left right middle
(**) Option "SHMConfig" "on"
(**) Option "TapButton1" "1"
(**) Option "TapButton2" "2"
(**) Option "TapButton3" "3"
(--) Synaptics Touchpad: touchpad found
(**) Option "SendCoreEvents" "true"
(**) Option "CorePointer"
(**) Synaptics Touchpad: always reports core events
(II) XINPUT: Adding extended input device "Synaptics Touchpad" (type: TOUCHPAD)
(**) Synaptics Touchpad: (accel) keeping acceleration scheme 1
(**) Synaptics Touchpad: (accel) filter chain progression: 2.00
(**) Synaptics Touchpad: (accel) filter stage 0: 20.00 ms
(**) Synaptics Touchpad: (accel) set acceleration profile 0
(--) Synaptics Touchpad: touchpad found
(II) config/hal: Adding input device AT Translated Set 2 keyboard
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input//evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.6.3, module version = 2.2.5
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 4.0
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(**) Option "xkb_options" "lv3:ralt_switch"
(II) config/hal: Adding input device Sleep Button
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event5"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(**) Option "xkb_options" "lv3:ralt_switch"
(II) config/hal: Adding input device Power Button
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event4"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(**) Option "xkb_options" "lv3:ralt_switch"
(II) config/hal: Adding input device Video Bus
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event1"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(**) Option "xkb_options" "lv3:ralt_switch"
(II) config/hal: Adding input device Power Button
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event2"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(**) Option "xkb_options" "lv3:ralt_switch"
(II) config/hal: Adding input device SynPS/2 Synaptics TouchPad
(II) Synaptics touchpad driver version 1.1.2
(**) Option "Device" "/dev/input/event8"
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
(II) SynPS/2 Synaptics TouchPad: buttons: left right middle
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) filter chain progression: 2.00
(**) SynPS/2 Synaptics TouchPad: (accel) filter stage 0: 20.00 ms
(**) SynPS/2 Synaptics TouchPad: (accel) set acceleration profile 0
(WW) SynPS/2 Synaptics TouchPad can't grab event device, errno=16
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) Open ACPI successful (/var/run/acpid.socket)
(II) AIGLX: Resuming AIGLX clients after VT switch
(II) intel(0): adjusting plane->pipe mappings to allow for framebuffer compression
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0x005fffff: compressed frame buffer (6144 kB, 0x000000003f800000 physical
)
(II) intel(0): 0x00600000-0x00600fff: compressed ll buffer (4 kB, 0x000000003fe00000 physical
)
(II) intel(0): 0x00601000-0x0060afff: HW cursors (40 kB, 0x000000003fe01000 physical
)
(II) intel(0): 0x0060b000-0x0060bfff: overlay registers (4 kB, 0x000000003fe0b000 physical
)
(II) intel(0): 0x007bf000:            end of stolen memory
(II) intel(0): 0x007bf000-0x0f9f3fff: DRI memory manager (248020 kB)
(II) intel(0): 0x10000000:            end of aperture
(II) intel(0): BO memory allocation layout:
(II) intel(0): 0x007bf000:            start of memory manager
(II) intel(0): 0x00800000-0x00bfffff: front buffer (4096 kB) X tiled
(II) intel(0): 0x0f9f4000:            end of memory manager
(II) intel(0): using SSC reference clock of 100 MHz
(II) intel(0): Selecting standard 18 bit TMDS pixel format.
(II) intel(0): Output configuration:
(II) intel(0):   Pipe A is off
(II) intel(0):   Display plane B is now disabled and connected to pipe A.
(II) intel(0):   Pipe B is on
(II) intel(0):   Display plane A is now enabled and connected to pipe B.
(II) intel(0):   Output VGA is connected to pipe none
(II) intel(0):   Output LVDS is connected to pipe B
(--) Synaptics Touchpad: touchpad found
(WW) SynPS/2 Synaptics TouchPad can't grab event device, errno=16
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) intel(0): EDID for output VGA
(II) intel(0): EDID for output LVDS
(II) intel(0): Manufacturer: CMO  Model: 209  Serial#: 0
(II) intel(0): Year: 2008  Week: 31
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 21  vert.: 12
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): GTF timings supported
(II) intel(0): redX: 0.584 redY: 0.362   greenX: 0.350 greenY: 0.583
(II) intel(0): blueX: 0.154 blueY: 0.105   whiteX: 0.313 whiteY: 0.329
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 50.8 MHz   Image Size:  195 x 113 mm
(II) intel(0): h_active: 1024  h_sync: 1105  h_sync_end 1159 h_blank_end 1320 h_border: 0
(II) intel(0): v_active: 600  v_sync: 605  v_sync_end 612 v_blanking: 642 v_border: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 33.9 MHz   Image Size:  195 x 113 mm
(II) intel(0): h_active: 1024  h_sync: 1105  h_sync_end 1159 h_blank_end 1320 h_border: 0
(II) intel(0): v_active: 600  v_sync: 605  v_sync_end 612 v_blanking: 642 v_border: 0
(II) intel(0):  K862H�N089L6
(II) intel(0): Ranges: V min: 0 V max: 200 Hz, H min: 0 H max: 200 kHz,
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf090200000000
(II) intel(0): 	1f12010390150c780ab985955c599527
(II) intel(0): 	1b505400000001010101010101010101
(II) intel(0): 	010101010101db13002841582a205136
(II) intel(0): 	5700c3710000001a3d0d002841582a20
(II) intel(0): 	51365700c3710000001a000000fe004b
(II) intel(0): 	38363248814e3038394c360a00000000
(II) intel(0): 	00000000000000000001010a202000a5
(II) intel(0): EDID vendor "CMO", prod id 521
(II) intel(0): Using EDID range info for horizontal sync
(II) intel(0): Using EDID range info for vertical refresh
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1024x600"x0.0   50.83  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (38.5 kHz)
(II) intel(0): Modeline "1024x600"x0.0   33.89  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (25.7 kHz)
(II) intel(0): EDID vendor "CMO", prod id 521
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "832x624" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1080" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1920x1200" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Printing probed modes for output LVDS
(II) intel(0): Modeline "1024x600"x60.0   50.83  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (38.5 kHz)
(II) intel(0): Modeline "1024x600"x40.0   33.89  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (25.7 kHz)
(II) intel(0): Modeline "800x600"x85.1   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x85.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x85.0   35.50  720 756 828 936  400 401 404 446 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x400"x85.1   31.50  640 672 736 832  400 401 404 445 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz)
(II) intel(0): EDID for output VGA
(II) intel(0): EDID for output LVDS
(II) intel(0): Manufacturer: CMO  Model: 209  Serial#: 0
(II) intel(0): Year: 2008  Week: 31
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 21  vert.: 12
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): GTF timings supported
(II) intel(0): redX: 0.584 redY: 0.362   greenX: 0.350 greenY: 0.583
(II) intel(0): blueX: 0.154 blueY: 0.105   whiteX: 0.313 whiteY: 0.329
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 50.8 MHz   Image Size:  195 x 113 mm
(II) intel(0): h_active: 1024  h_sync: 1105  h_sync_end 1159 h_blank_end 1320 h_border: 0
(II) intel(0): v_active: 600  v_sync: 605  v_sync_end 612 v_blanking: 642 v_border: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 33.9 MHz   Image Size:  195 x 113 mm
(II) intel(0): h_active: 1024  h_sync: 1105  h_sync_end 1159 h_blank_end 1320 h_border: 0
(II) intel(0): v_active: 600  v_sync: 605  v_sync_end 612 v_blanking: 642 v_border: 0
(II) intel(0):  K862H�N089L6
(II) intel(0): Ranges: V min: 0 V max: 200 Hz, H min: 0 H max: 200 kHz,
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf090200000000
(II) intel(0): 	1f12010390150c780ab985955c599527
(II) intel(0): 	1b505400000001010101010101010101
(II) intel(0): 	010101010101db13002841582a205136
(II) intel(0): 	5700c3710000001a3d0d002841582a20
(II) intel(0): 	51365700c3710000001a000000fe004b
(II) intel(0): 	38363248814e3038394c360a00000000
(II) intel(0): 	00000000000000000001010a202000a5
(II) intel(0): EDID vendor "CMO", prod id 521
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1024x600"x0.0   50.83  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (38.5 kHz)
(II) intel(0): Modeline "1024x600"x0.0   33.89  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (25.7 kHz)
(II) intel(0): EDID vendor "CMO", prod id 521
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "832x624" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1080" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1920x1200" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Printing probed modes for output LVDS
(II) intel(0): Modeline "1024x600"x60.0   50.83  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (38.5 kHz)
(II) intel(0): Modeline "1024x600"x40.0   33.89  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (25.7 kHz)
(II) intel(0): Modeline "800x600"x85.1   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x85.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x85.0   35.50  720 756 828 936  400 401 404 446 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x400"x85.1   31.50  640 672 736 832  400 401 404 445 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz)
(II) intel(0): EDID for output VGA
(II) intel(0): EDID for output LVDS
(II) intel(0): Manufacturer: CMO  Model: 209  Serial#: 0
(II) intel(0): Year: 2008  Week: 31
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 21  vert.: 12
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): GTF timings supported
(II) intel(0): redX: 0.584 redY: 0.362   greenX: 0.350 greenY: 0.583
(II) intel(0): blueX: 0.154 blueY: 0.105   whiteX: 0.313 whiteY: 0.329
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 50.8 MHz   Image Size:  195 x 113 mm
(II) intel(0): h_active: 1024  h_sync: 1105  h_sync_end 1159 h_blank_end 1320 h_border: 0
(II) intel(0): v_active: 600  v_sync: 605  v_sync_end 612 v_blanking: 642 v_border: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 33.9 MHz   Image Size:  195 x 113 mm
(II) intel(0): h_active: 1024  h_sync: 1105  h_sync_end 1159 h_blank_end 1320 h_border: 0
(II) intel(0): v_active: 600  v_sync: 605  v_sync_end 612 v_blanking: 642 v_border: 0
(II) intel(0):  K862H�N089L6
(II) intel(0): Ranges: V min: 0 V max: 200 Hz, H min: 0 H max: 200 kHz,
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf090200000000
(II) intel(0): 	1f12010390150c780ab985955c599527
(II) intel(0): 	1b505400000001010101010101010101
(II) intel(0): 	010101010101db13002841582a205136
(II) intel(0): 	5700c3710000001a3d0d002841582a20
(II) intel(0): 	51365700c3710000001a000000fe004b
(II) intel(0): 	38363248814e3038394c360a00000000
(II) intel(0): 	00000000000000000001010a202000a5
(II) intel(0): EDID vendor "CMO", prod id 521
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1024x600"x0.0   50.83  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (38.5 kHz)
(II) intel(0): Modeline "1024x600"x0.0   33.89  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (25.7 kHz)
(II) intel(0): EDID vendor "CMO", prod id 521
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1024x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x960" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1280x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1200" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1792x1344" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1856x1392" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "832x624" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1152x864" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1360x768" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1400x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1440x900" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1600x1024" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1680x1050" (exceeds panel dimensions)
(II) intel(0): Not using default mode "1920x1080" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1920x1200" (monitor doesn't support reduced blanking)
(II) intel(0): Not using default mode "1920x1440" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Not using default mode "2048x1536" (exceeds panel dimensions)
(II) intel(0): Printing probed modes for output LVDS
(II) intel(0): Modeline "1024x600"x60.0   50.83  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (38.5 kHz)
(II) intel(0): Modeline "1024x600"x40.0   33.89  1024 1105 1159 1320  600 605 612 642 +hsync -vsync (25.7 kHz)
(II) intel(0): Modeline "800x600"x85.1   56.30  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x85.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x85.0   35.50  720 756 828 936  400 401 404 446 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x400"x85.1   31.50  640 672 736 832  400 401 404 445 -hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x350"x85.1   31.50  640 672 736 832  350 382 385 445 +hsync -vsync (37.9 kHz)

HAL Information (lshal):
udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input'
  button.has_state = false  (bool)
  button.type = 'power'  (string)
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.callouts.add = {'debian-setup-keyboard'} (string list)
  info.capabilities = {'input', 'button', 'input.keys'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Power Button'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input'  (string)
  input.device = '/dev/input/event2'  (string)
  input.product = 'Power Button'  (string)
  input.x11_driver = 'evdev'  (string)
  input.xkb.layout = 'us'  (string)
  input.xkb.model = 'pc104'  (string)
  input.xkb.options = 'lv3:ralt_switch'  (string)
  linux.device_file = '/dev/input/event2'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2'  (string)

udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_0'
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.callouts.add = {'debian-setup-keyboard'} (string list)
  info.capabilities = {'input', 'input.keys', 'button'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Video Bus'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_0'  (string)
  input.device = '/dev/input/event1'  (string)
  input.product = 'Video Bus'  (string)
  input.x11_driver = 'evdev'  (string)
  input.xkb.layout = 'us'  (string)
  input.xkb.model = 'pc104'  (string)
  input.xkb.options = 'lv3:ralt_switch'  (string)
  linux.device_file = '/dev/input/event1'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:01/input/input1/event1'  (string)

udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_1'
  button.has_state = false  (bool)
  button.type = 'power'  (string)
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.callouts.add = {'debian-setup-keyboard'} (string list)
  info.capabilities = {'input', 'button', 'input.keys'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Power Button'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_1'  (string)
  input.device = '/dev/input/event4'  (string)
  input.product = 'Power Button'  (string)
  input.x11_driver = 'evdev'  (string)
  input.xkb.layout = 'us'  (string)
  input.xkb.model = 'pc104'  (string)
  input.xkb.options = 'lv3:ralt_switch'  (string)
  linux.device_file = '/dev/input/event4'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input4/event4'  (string)

udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_2'
  button.has_state = false  (bool)
  button.type = 'sleep'  (string)
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.callouts.add = {'debian-setup-keyboard'} (string list)
  info.capabilities = {'input', 'button', 'input.keys'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Sleep Button'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_2'  (string)
  input.device = '/dev/input/event5'  (string)
  input.product = 'Sleep Button'  (string)
  input.x11_driver = 'evdev'  (string)
  input.xkb.layout = 'us'  (string)
  input.xkb.model = 'pc104'  (string)
  input.xkb.options = 'lv3:ralt_switch'  (string)
  linux.device_file = '/dev/input/event5'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input5/event5'  (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'
  info.capabilities = {'input', 'input.touchpad'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  info.product = 'SynPS/2 Synaptics TouchPad'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'  (string)
  input.device = '/dev/input/event8'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  input.product = 'SynPS/2 Synaptics TouchPad'  (string)
  input.x11_driver = 'synaptics'  (string)
  linux.device_file = '/dev/input/event8'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio1/input/input8/event8'  (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input'
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.callouts.add = {'debian-setup-keyboard'} (string list)
  info.capabilities = {'input', 'input.keyboard', 'input.keypad', 'input.keys', 'input.keymap', 'button'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  info.product = 'AT Translated Set 2 keyboard'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input'  (string)
  input.device = '/dev/input/event0'  (string)
  input.keymap.data = {'e001:playpause', 'e002:stopcd', 'e003:previoussong', 'e004:nextsong', 'e005:brightnessdown', 'e006:brightnessup', 'e007:battery', 'e008:wlan', 'e009:ejectclosecd', 'e00a:suspend', 'e00b:switchvideomode', 'e00f:switchvideomode', 'e010:previoussong', 'e011:prog1', 'e012:media', 'e013:f23', 'e015:camera', 'e00c:f23', 'e019:nextsong', 'e01b:switchvideomode', 'e022:playpause', 'e024:stopcd', 'e06d:media'} (string list)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  input.product = 'AT Translated Set 2 keyboard'  (string)
  input.x11_driver = 'evdev'  (string)
  input.xkb.layout = 'us'  (string)
  input.xkb.model = 'pc104'  (string)
  input.xkb.options = 'lv3:ralt_switch'  (string)
  linux.device_file = '/dev/input/event0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio0/input/input0/event0'  (string)

DRM Information from dmesg:
[    1.762868] Linux agpgart interface v0.103
[    1.806356] agpgart-intel 0000:00:00.0: Intel 945GME Chipset
[    1.806666] agpgart-intel 0000:00:00.0: detected 7932K stolen memory
[    1.809581] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xd0000000
[   28.286245] [drm] Initialized drm 1.1.0 20060810
[   28.338942] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                        2.10.1-6    GNU C Library: Shared libraries
ii  libdrm-intel1                2.4.14-1+b1 Userspace interface to intel-speci
ii  libdrm2                      2.4.14-1+b1 Userspace interface to kernel DRM 
ii  libpciaccess0                0.10.9-1    Generic PCI access library for X
ii  libxext6                     2:1.0.4-1   X11 miscellaneous extension librar
ii  libxfixes3                   1:4.0.3-2   X11 miscellaneous 'fixes' extensio
ii  libxv1                       2:1.0.4-1   X11 Video extension library
ii  libxvmc1                     1:1.0.4-2   X11 Video extension library
ii  xserver-xorg-core            2:1.6.5-1   Xorg X server - core server

xserver-xorg-video-intel recommends no packages.

xserver-xorg-video-intel suggests no packages.

-- no debconf information

-- 
see shy jo
[Xorg.0.log.old.bz2 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#556261; Package xserver-xorg-video-intel. (Sun, 15 Nov 2009 08:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 15 Nov 2009 08:18:08 GMT) Full text and rfc822 format available.

Message #10 received at 556261@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 556261@bugs.debian.org
Subject: Re: Bug#556261: Acknowledgement (flicker of doom)
Date: Sun, 15 Nov 2009 03:04:54 -0500
[Message part 1 (text/plain, inline)]
This is actually triggered by accidentially pressing the display switch
button.

Also, if I do that w/o X running, I get a repeated sequence of ^@^@^@
output to the console, that does not stop. So this may be a hardware
problem.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#556261; Package xserver-xorg-video-intel. (Sun, 15 Nov 2009 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 15 Nov 2009 17:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 556261@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 556261@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#556261: Info received (Bug#556261: Acknowledgement (flicker of doom))
Date: Sun, 15 Nov 2009 12:50:06 -0500
[Message part 1 (text/plain, inline)]
reassign 556261 acpid
tag 556261 patch
thanks

I've isolated this bug to acpid 1.0.10-3. After downgrading to 1.0.10-2,
I no longer see the problem. Pressing the video switch key now causes the
screen to flicker exactly once, not an infinite number of times. Thank
goodness!

I will try to bisect the commit that introduced the bug. If I don't get
tired of rebooting..

Michael, does this bug sound RC to you?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'xserver-xorg-video-intel' to 'acpid'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 15 Nov 2009 17:54:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xserver-xorg-video-intel/2:2.9.0-1. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 15 Nov 2009 17:54:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 15 Nov 2009 17:54:06 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 15 Nov 2009 18:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#556261; Package acpid. (Sun, 15 Nov 2009 18:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Sun, 15 Nov 2009 18:21:08 GMT) Full text and rfc822 format available.

Message #28 received at 556261@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 556261@bugs.debian.org
Cc: control@bugs.debian.org
Subject: patch
Date: Sun, 15 Nov 2009 13:19:23 -0500
[Message part 1 (text/plain, inline)]
Alright, this patch fixes the bug for me.

diff --git a/debian/patches/input_events.diff b/debian/patches/input_events.diff
index 9284a87..05d356f 100644
--- a/debian/patches/input_events.diff
+++ b/debian/patches/input_events.diff
@@ -23,8 +23,8 @@ diff -ruN a/input_layer.c b/input_layer.c
 +	{{{0,0}, EV_KEY, KEY_SLEEP, 1}, "button/sleep SBTN 00000080 00000000"},
 +	{{{0,0}, EV_KEY, KEY_WLAN, 1}, "button/wlan WLAN 00000080 00000000"},
 +	{{{0,0}, EV_KEY, KEY_FN_F6, 1}, "button/fnf6 FNF6 00000080 00000000"},
-+	{{{0,0}, EV_KEY, KEY_SWITCHVIDEOMODE, 1}, 
-+ 		"button/videomode VMOD 00000080 00000000"},
++	//{{{0,0}, EV_KEY, KEY_SWITCHVIDEOMODE, 1}, 
++ 	//	"button/videomode VMOD 00000080 00000000"},
 +	{{{0,0}, EV_KEY, KEY_FN_F9, 1}, "button/fnf9 FNF9 00000080 00000000"},
 +	{{{0,0}, EV_KEY, KEY_FN_F10, 1}, 
 + 		"button/fnf10 FNF10 00000080 00000000"},

But that reverts part of the patch that fixed #521280.

My laptop is a Dell Mini 9. I just noticed the last message on #521280,
describing the same problem on a Dell latitude d520. He also saw the
problem on lid events, which I did not, and also got wrong FNPGDOWN
events on other keys, so my patch won't be complete for him.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#556261; Package acpid. (Tue, 17 Nov 2009 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Tue, 17 Nov 2009 01:57:03 GMT) Full text and rfc822 format available.

Message #33 received at 556261@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 556261@bugs.debian.org, Ted Felix <ted@tedfelix.com>
Subject: FWD: acpid endless loop issue 556261
Date: Mon, 16 Nov 2009 20:53:40 -0500
[Message part 1 (text/plain, inline)]
Below was sent to me by private mail, I'm taking the liberty of
forwarding it to the Debian BTS.

I can confirm that removing /etc/acpi/events/videobtn avoids the endless
loop.

Also, removing video_brightness* does not break LCD brightness keys or
dialog, at least on this laptop. I don't know if other laptops are
different or if we still have to worry about systems using the old
input layer stuff.

Looks like this bug could be reassigned to acpi-support.

----- Forwarded message from Ted Felix <ted@tedfelix.com> -----

Date: Mon, 16 Nov 2009 20:19:18 -0500
From: Ted Felix <ted@tedfelix.com>
To: Joey Hess <joeyh@debian.org>
Subject: acpid endless loop issue 556261

 Thanks for working on this.  I've been looking at this and it turns
out that the problem is with some config files included in
acpi-support.  They were designed for the days when acpid needed to
forward events to the input layer.  If you go back to the original
version prior to your patch and delete the following files from your
system, all should be well:

* /etc/acpi/events/videobtn (note that the videobtn.sh is fine, don't
delete it)
* /etc/acpi/events/video_brightnessdown
* /etc/acpi/video_brightnessdown.sh
* /etc/acpi/events/video_brightnessup
* /etc/acpi/video_brightnessup.sh

 Michael Meskes has informed me that upstream has already removed
these files, so once he refreshes the acpi-support package, these will
be gone.

 I've just released a new version of acpid that you can try out if
you'd like:

http://tedfelix.com/linux/acpid-netlink.html

Ted.


----- End forwarded message -----

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'acpid' to 'acpi-support'. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Tue, 17 Nov 2009 07:42:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Tue, 17 Nov 2009 07:42:08 GMT) Full text and rfc822 format available.

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Tue, 17 Nov 2009 13:03:37 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Tue, 17 Nov 2009 13:03:37 GMT) Full text and rfc822 format available.

Message #42 received at 556261-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 556261-close@bugs.debian.org
Subject: Bug#556261: fixed in acpi-support 0.129-1
Date: Tue, 17 Nov 2009 13:02:10 +0000
Source: acpi-support
Source-Version: 0.129-1

We believe that the bug you reported is fixed in the latest version of
acpi-support, which is due to be installed in the Debian FTP archive:

acpi-support-base_0.129-1_all.deb
  to main/a/acpi-support/acpi-support-base_0.129-1_all.deb
acpi-support_0.129-1.diff.gz
  to main/a/acpi-support/acpi-support_0.129-1.diff.gz
acpi-support_0.129-1.dsc
  to main/a/acpi-support/acpi-support_0.129-1.dsc
acpi-support_0.129-1_amd64.deb
  to main/a/acpi-support/acpi-support_0.129-1_amd64.deb
acpi-support_0.129.orig.tar.gz
  to main/a/acpi-support/acpi-support_0.129.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556261@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated acpi-support package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Nov 2009 15:39:27 +0100
Source: acpi-support
Binary: acpi-support acpi-support-base
Architecture: source amd64 all
Version: 0.129-1
Distribution: unstable
Urgency: low
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 acpi-support - scripts for handling many ACPI events
 acpi-support-base - scripts for handling base ACPI events such as the power button
Closes: 373660 491442 509597 529604 531074 533754 548252 550546 554112 555603 556261
Changes: 
 acpi-support (0.129-1) unstable; urgency=low
 .
   * New upstream version:
     - Fix ibm-wireless to use the 'rfkill' tool for toggling bluetooth,
       recommending wireless-tools which currently provides this; and fix
       the isAnyWirelessPoweredOn function for the latest change in the rfkill
       /sys interface, looking under phy80211/ instead of under device/
       (LP: #397698).  The toggleAllWirelessStates() function is still broken,
       because the rfkill state on the iwl3945 (at least) is still being done
       in the kernel, so we work around this for now by leaving the function
       inactive.
       Closes: #548252, #554112, #491442
     - Fix the touchpad handler to use xinput instead of (unreliable)
       synclient, and add a corresponding Recommends; and call getXconsole so
       we can actually talk to the X server.  LP: #447211.
     - new events/asus-f8sv-touchpad: handle another touchpad ACPI event on
       another ASUS model.  LP: #218598.
     - lib/power-funcs: adjust getXconsole to work when the tty number is not
       present on the X commandline.
     - lib/policy-funcs: Recognize KDE4 PowerDevil as a power manager.
       LP: #387750.
     - lib/policy-funcs: Recognize xfce4-power-manager as a power manager.
       LP: #425155
     - Drop /etc/acpi/start.d/90-hdparm.sh: this is redundant because we're
       already calling pm-powersave on start (either via /etc/acpi/power.sh,
       or by one of the desktop power managers as enumerated in
       lib/policy-funcs) so there's no reason we should be reapplying the
       policy here.  LP: #443992, #438355, #318980.
       Closes: #509597, #529604, #533754
     - Add guidance-power-manager to the list of known desktop power managers.
       LP: #154910
     - lib/policy-funcs: Recognize dalston as a power manager.  LP: #432578
     - Drop /etc/acpi/start.d/10-save-dmidecode.sh, which is irrelevant given
       the existence of /sys/class/dmi/id/.
     - Drop events/panasonic-brightness-{down,up}, events/panasonic-mute,
       events/panasonic-volume-{down,up}, and panabright.sh, confirmed to be
       implemented now by the panasonic-laptop kernel driver. Closes: #555603
     - Drop events/asus-{a6u-touchpad,internet,lock,wireless} and
       events/asus-media-{next,play-pause,prev,stop}, confirmed to be
       implemented by the asus-laptop kernel driver.
     - Drop events/thinkpad-thinkpad and thinkpad-thinkpad.sh, which is also
       implemented in the thinkpad_acpi driver and should have been dropped a
       while ago.
     - Drop panapower.sh, which seems to have never been used.
     - Clean up /etc/acpi/toshbright.sh, which was meant to be removed back in
       jaunty
     - Drop events/video_brightness{down,up}, video_brightness{up,down}.sh: at
       least some platforms that use these ACPI sequences are seeing them
       correctly translated to input events, so those users will see duplicate
       events unless we drop them.  LP: #178860.
       Closes: #556261
     - Drop events/sony-eject, confirmed in bug reports to no longer work due
       to its use of acpi_fakekey.  This needs to be implemented in the kernel
       input layer, but in the meantime there's no reason to keep this here.
       LP: #76924.
     - Drop events/panasonic-{hibernatebtn,sleepbtn}, also reported to not work
       now due to the acpi_fakekey implementation.
     - Don't install power hook directories, instead just call pm-powersave
   * Added old powersave stuff to examples.
   * Bumped Standards-Version to 3.8.3, no changes needed.
   * Re-diffed patches
   * Re-added hibernatebtn.sh that was removed upstream.
   * Re-added Sony brightness files. Closes: #531074
   * Re-added Sony eject event.
   * Remove stuff no longer needed.
   * Accept display :0 and :0.0 when looking for the right AUTHORITY file.
     Closes: #550546
   * Added patch to make acpi_fakekey correctly send all key events, even for
     keys not available on the keyboard by sending keys through uinput.
     Closes: #373660 - Thanks to: Thomas Jaeger <ThJaeger@gmail.com>
   * Patched toggleAllWirelessStates for the latest change in the rfkill
     /sys interface as well.
Checksums-Sha1: 
 d6d0e66d87ff99f74be7f66efb69cdd1e688aeff 1225 acpi-support_0.129-1.dsc
 70baae6e9b45d39de82f83edd8353459b1b9c668 20788 acpi-support_0.129.orig.tar.gz
 e3756c1e0b8affd2a64c0c1a94dd26a58b80fd1c 34897 acpi-support_0.129-1.diff.gz
 383c3e81dc9320c984b13037e13fedcb67f2d72a 50796 acpi-support_0.129-1_amd64.deb
 f9a8ba23fbd67d873c2bbe05eba37da46cbaaabc 16058 acpi-support-base_0.129-1_all.deb
Checksums-Sha256: 
 f5094043a56a6dbfaa9bf515659bc2b68f9036ab6fa5a1a7ccc5169c3b276e9d 1225 acpi-support_0.129-1.dsc
 2ac8d3ea926a3c9bf52148fe85e02a2201cb0c041c939912e6e9d684e92c1c82 20788 acpi-support_0.129.orig.tar.gz
 fe79c9054d6561d0603b4ca1128ffdd47212251661f2ed6b43dade1cc5871d2c 34897 acpi-support_0.129-1.diff.gz
 e683cbdea20929ae2d0c22f5e401736e4ba1102754ac99c843aaf02d9754aa9a 50796 acpi-support_0.129-1_amd64.deb
 c3248f894d55451a91b2ebc7c51c26179a9429a835d8374a82f53d864363f631 16058 acpi-support-base_0.129-1_all.deb
Files: 
 c0afbb3a43848f9c49e6f934dcfa1c40 1225 admin optional acpi-support_0.129-1.dsc
 514b1b51dddaad5f3fb94e953adc2609 20788 admin optional acpi-support_0.129.orig.tar.gz
 a76cd6f814794fbfa05b979b4693be7c 34897 admin optional acpi-support_0.129-1.diff.gz
 5b947cc01371f10303ad91728dd8276f 50796 admin optional acpi-support_0.129-1_amd64.deb
 5ecbcc86e249ea26f8a567b33c524fa0 16058 admin optional acpi-support-base_0.129-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLApzFVkEm8inxm9ERAn0uAJ9UZ4+1OoI0eCziBM5I6XOzO8R36gCfb/JO
1UajOQkai76dw4jQgMdYeNo=
=ReYh
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>:
Bug#556261; Package acpi-support. (Tue, 17 Nov 2009 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>. (Tue, 17 Nov 2009 18:42:05 GMT) Full text and rfc822 format available.

Message #47 received at 556261@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 556261@bugs.debian.org, Michael Meskes <meskes@debian.org>
Subject: Re: Bug#556261 closed by Michael Meskes <meskes@debian.org> (Bug#556261: fixed in acpi-support 0.129-1)
Date: Tue, 17 Nov 2009 13:40:33 -0500
[Message part 1 (text/plain, inline)]
Debian Bug Tracking System wrote:
>      - Drop events/video_brightness{down,up}, video_brightness{up,down}.sh: at
>        least some platforms that use these ACPI sequences are seeing them
>        correctly translated to input events, so those users will see duplicate
>        events unless we drop them.  LP: #178860.
>        Closes: #556261

No, this bug concerns the existence of /etc/acpi/events/videobtn, which 
is still present in acpi-support 0.129-1. Reopening bug report.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions acpi-support/0.129-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Nov 2009 18:42:09 GMT) Full text and rfc822 format available.

Changed Bug title to '/etc/acpi/events/videobtn causes infinite event loop on Dell laptops' from 'flicker of doom' Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 17 Nov 2009 18:42:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Wed, 18 Nov 2009 10:51:08 GMT) Full text and rfc822 format available.

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Wed, 18 Nov 2009 15:51:08 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Wed, 18 Nov 2009 15:51:08 GMT) Full text and rfc822 format available.

Message #58 received at 556261-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 556261-close@bugs.debian.org
Subject: Bug#556261: fixed in acpi-support 0.129-2
Date: Wed, 18 Nov 2009 15:47:11 +0000
Source: acpi-support
Source-Version: 0.129-2

We believe that the bug you reported is fixed in the latest version of
acpi-support, which is due to be installed in the Debian FTP archive:

acpi-support-base_0.129-2_all.deb
  to main/a/acpi-support/acpi-support-base_0.129-2_all.deb
acpi-support_0.129-2.diff.gz
  to main/a/acpi-support/acpi-support_0.129-2.diff.gz
acpi-support_0.129-2.dsc
  to main/a/acpi-support/acpi-support_0.129-2.dsc
acpi-support_0.129-2_amd64.deb
  to main/a/acpi-support/acpi-support_0.129-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556261@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated acpi-support package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Nov 2009 16:19:08 +0100
Source: acpi-support
Binary: acpi-support acpi-support-base
Architecture: source amd64 all
Version: 0.129-2
Distribution: unstable
Urgency: low
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 acpi-support - scripts for handling many ACPI events
 acpi-support-base - scripts for handling base ACPI events such as the power button
Closes: 556261 556895 556896 556897
Changes: 
 acpi-support (0.129-2) unstable; urgency=low
 .
   * Better document the need of the uinput module. (Closes: #556897)
   * Remove 10-thinkpad-standby-led.sh that was forgotten earlier.
     (Closes: #556896)
   * Remove events/videobtn for good. (Closes: #556261)
   * Make sure 90-hdparm.sh is deleted no matter if it is a file or a
     symlink. (Closes: #556895)
Checksums-Sha1: 
 7ac71828d14e707671781745001d1138ffca93f1 1225 acpi-support_0.129-2.dsc
 413b91b9f1d475189fbd397304f810e080a6ec44 35688 acpi-support_0.129-2.diff.gz
 1566e8d939f13caf8c8759b4323bda08d9fd9476 51258 acpi-support_0.129-2_amd64.deb
 a912288b8d2d7777ce4dd6f6b3c78163f209bbeb 16182 acpi-support-base_0.129-2_all.deb
Checksums-Sha256: 
 ca15eff5f99921c370c402821ce3634357efbc5e5e6291e8cc9068bdda582825 1225 acpi-support_0.129-2.dsc
 ea43c606b0e5b82ad06a8a246e2f6e7b9a8d402ce48e5227608dfe42cb4f3139 35688 acpi-support_0.129-2.diff.gz
 6a3d8af1e8227a373a94a84f7fd1b82d46b7be03b5c1c421e46c425ea0bcacd2 51258 acpi-support_0.129-2_amd64.deb
 dec17a7b47f2667cfe8131585ab985cebb103621e0ac5a33e1ff3b8d756a90f4 16182 acpi-support-base_0.129-2_all.deb
Files: 
 6c2f62f92a501eef015e2110499e4ee6 1225 admin optional acpi-support_0.129-2.dsc
 89366e392b8f0978f58536885a15b5ff 35688 admin optional acpi-support_0.129-2.diff.gz
 7e415dc1f3aa77cf3119006108ec4d36 51258 admin optional acpi-support_0.129-2_amd64.deb
 6d182bd3e02392973cab7072a9ce2790 16182 admin optional acpi-support-base_0.129-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLBBCxVkEm8inxm9ERAjCOAJ42ZWj/TEtYN5TF9LQEkvEwuzM1XwCeMGGb
vpQ2AEgc5XvhXqh1AyN53Ec=
=2leb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Dec 2009 07:31:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:50:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.